<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Gallery' clonable='1' gallery='1' order='3' >
	<cms:editable name='gg_image' label='Picture' width='800' quality='100' show_preview='1' order='1' type='image' />
	<cms:editable name='gallery_thumbnail' label='Thumbnail' width='174' height='116' crop='1' quality='100' show_preview='1' assoc_field='gg_image' order='2' type='thumbnail' />
	<cms:editable name='gg_thumb' label='Couch Thumbnail' width='115' height='115' enforce_max='1' quality='100' show_preview='1' assoc_field='gg_image' order='3' type='thumbnail' />
	
	<cms:editable name='genre' label='Tags' required='1' width='150' type='text' order='6'/>
</cms:template>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="description" content="<cms:pages limit='10' ><cms:if k_paginated_top ><cms:else/> - </cms:if><cms:show k_page_title /></cms:pages>">
		<title>Gallery</title>
		<cms:embed 'styles.html' />
	</head>
	<body id="page-gallery">
	<cms:embed 'header.html' />
		
	<article id="galleryContainer">
		<h1 class="section-title">Gallery</h1>
		<div class="gallery-description" id="tagsContainer">
			<a onclick="userList.search();setActiveTag(this)" class="active">all tags</a><cms:php>$tags_array = array_unique(array(<cms:set tags="<cms:pages masterpage='gallery.php'><cms:if genre ><cms:show genre /> </cms:if></cms:pages>" /><cms:each tags sep=' '>"<cms:show item/>",</cms:each>));foreach ($tags_array as $value) {echo "<a onclick=\"userList.search('$value');setActiveTag(this)\">$value</a>";}</cms:php>
			<div class="random-image">
				<div class="random-image-title">Here comes a random image</div>
				<cms:php>
					$input = array(<cms:pages masterpage='gallery.php'>"<cms:show gallery_thumbnail />",</cms:pages>);
					$rand_keys = array_rand($input, 2);
					echo "<img src='" . $input[$rand_keys[0]] . "'>";
				</cms:php>
			</div>
		</div>
		<div class="gallery-items">
			<div class="filter">
				<input class="search" placeholder="Live search" />
				<button class="sort" data-sort="gallery-name">sort by name</button>
				<ul class="pagination"></ul>
			</div>
			<ul class="list"><cms:pages masterpage='gallery.php'>
				<li>
					<a class="gallery-name" href="<cms:show k_page_link/>"><img src="<cms:show gallery_thumbnail />" alt="<cms:show k_page_title />"><cms:show k_page_title /></a><cms:if genre>
					<div class="gallery-genre"><cms:show genre /></div></cms:if>
				</li></cms:pages>
			</ul>
		</div>
	</article>
	
	<cms:embed 'footer.html' />
		
	<script src="<cms:show k_site_link/>js/list-pag.js"></script>
	<script>
	function setActiveTag(b) {
		var elems = document.getElementById('tagsContainer').getElementsByTagName('a');
		for(var i=0; i<elems.length; i++) elems[i].className="";
		b.className='active';
	};
	var options = {
		valueNames: [ 'gallery-name', 'gallery-genre' ],
		 page: 8,
		 plugins: [ ListPagination({innerWindow: 1, outerWindow: 1}) ] 
	};
	var userList = new List('galleryContainer', options);
	</script>
	</body>
</html>
<?php COUCH::invoke(); ?>